Class
AlignedReadStoreElement
Represents an alignment between read and contig.
AlignedReadStoreElement<>
AlignedReadStoreElement<TPos[, TGapAnchor[, TSpec]]>
Parameters

TPos | Type to store gap-space positions.
TGapAnchor | Type of a read gap anchor. Types: GapAnchor
TSpec | The specialization type. Default: void

Remarks
Value type of the alignedReadStore string.
Typedefs

TGapAnchors | Type of the gaps member.
TPos | Type of the beginPos and endPos members.
TSpec | The specialization type.

Data Members

beginPos | Begin position of the alignment in gap-space.
contigId | Refers to the contig in the contigStore the read is aligned with.
endPos | End position of the alignment in gap-space.
gaps | String of read gap anchors. Can be used to create a Spec.AnchorGaps alignment row.
id | The alignment id refers to associated alignment information in alignQualityStore or alignedReadTagStore.
INVALID_ID | Constant to represent an invalid id.
pairMatchId | Two read alignments having the same pairMatchId form a valid pair match. If INVALID_ID the read is either not paired or could not be aligned as part of a pair match.
readId | Refers to the aligned read in the readStore.

Member Functions

AlignedReadStoreElement | Constructor

SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:45